net.sf.cglib.core

## Class DebuggingClassWriter

- java.lang.Object
- - ClassVisitor
  - - net.sf.cglib.core.DebuggingClassWriter

-     public class DebuggingClassWriter
      extends ClassVisitor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEBUG_LOCATION_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebuggingClassWriter(int flags)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()`
    `java.lang.String` | `getSuperName()`
    `byte[]` | `toByteArray()`
    `void` | `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEBUG_LOCATION_PROPERTY

          public static final java.lang.String DEBUG_LOCATION_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DebuggingClassWriter

          public DebuggingClassWriter(int flags)

  - ### Method Detail

    - #### visit

          public void visit(int version,
                   int access,
                   java.lang.String name,
                   java.lang.String signature,
                   java.lang.String superName,
                   java.lang.String[] interfaces)

    - #### getClassName

          public java.lang.String getClassName()

    - #### getSuperName

          public java.lang.String getSuperName()

    - #### toByteArray

          public byte[] toByteArray()

Copyright (c) 2001 - Apache Software Foundation